Name: mgetty
Version: 1.1.28
Release: alt3

Summary: A getty replacement for use with data and fax modems
License: GPL
Group: Communications

Source: ftp://alpha.greenie.net/pub/%name/source/1.1/%name%version-Jan10.tar.bz2
Source1: %name.logrotate
# WARNING see original policy.h for changes which may be made there and sync it
# with %SOURCE2
Source2: %name.policy.h.bz2
Source3: voice.conf-dist.bz2

Patch1: %name-1.1.5-config.patch
Patch2: %name-1.1.5-makekvg.patch
Patch3: %name-1.1.28-paths.patch
Patch4: %name-1.1.14-echo.patch
Patch5: %name-1.1.24-imakefile.patch
Patch6: %name-1.1.24-texinfo.patch
Patch7: %name-1.1.24-contrib.patch
Patch8: %name-1.1.24-faxprint.patch
Patch9: %name-1.1.21-void.patch
Patch10: %name-1.1.21-paths.patch
Patch11: %name-1.1.26-elsa.patch
Patch12: %name-1.1.21-giftopnm.patch
#Patch13: %name-1.1.22-excl.patch
#Patch14: %name-1.1.26-to-16052001.bz2
Patch15: %name-1.1.25-usrvavaev.patch
Patch16: %name-1.1.26-logfile.patch
Patch17: %name-1.1.25-cid.patch.bz2
Patch18: %name-1.1.26-avc_cid.patch

PreReq: /var/lock/serial

%define _spooldir	%_var/spool

# Automatically added by buildreq on Fri Nov 15 2002
BuildRequires: XFree86-devel groff-base tetex-dvips tetex-latex

%package sendfax
Summary: Provides support for sending faxes over a modem
Group: Communications
Requires: %name = %version-%release

%package voice
Summary: A program for using your modem and %name as an answering machine
Group: Communications
Requires: %name = %version-%release

%package viewfax
Summary: An X Window System fax viewer
Group: Communications
Requires: %name = %version-%release

%package doc
Summary: Documentation, samples and contributed stuff that comes with %name
Group: Communications
Requires: %name = %version-%release
Obsoletes: %name-contrib

%description
The %name package contains a "smart" getty which allows logins over a
serial line (i.e., through a modem).  If you're using a Class 2 or 2.0
modem, %name can receive faxes.  If you also need to send faxes, you'll
need to install the sendfax program.

If you'll be dialing in to your system using a modem, you should install
the %name package.  If you'd like to send faxes using %name and your
modem, you'll need to install the %name-sendfax program.  If you need a
viewer for faxes, you'll also need to install the %name-viewfax package.

%description sendfax
Sendfax is a standalone backend program for sending fax files.  The
%name program (a getty replacement for handling logins over a serial
line) plus sendfax will allow you to send faxes through a Class 2 modem.

If you'd like to send faxes over a Class 2 modem, you'll need to install
the %name-sendfax and the %name packages.

%description voice
The %name-voice package contains the vgetty system, which enables
%name and your modem to support voice capabilities.  In simple terms,
vgetty lets your modem act as an answering machine.  How well the system
will work depends upon your modem, which may or may not be able to handle
this kind of implementation.

Install %name-voice along with %name if you'd like to try having your
modem act as an answering machine.

%description viewfax
Viewfax displays the fax files received using %name in an X11 window.
Viewfax is capable of zooming in and out on the displayed fax.

If you're installing the %name-viewfax package, you'll also need to
install %name.

%description doc
Documentation, samples and contributed stuff that comes with %name.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
#%patch13 -p1
#%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
bzcat %SOURCE2> policy.h

find -type f -name Makefile\* |
	xargs fgrep -l '$(INSTALL)' |
	xargs -r perl -pi -e 's|(\$\(INSTALL\).*) -o [A-Za-z$(){}]*|$1|g;s|(\$\(INSTALL\).*) -g [A-Za-z$(){}]*|$1|g'
find -type f -name Makefile\* |
	xargs fgrep -l 'install' |
	xargs -r perl -pi -e 's|(install.*) -o [A-Za-z$(){}]*|$1|g;s|(install.*) -g [A-Za-z$(){}]*|$1|g'
find -type f |
	xargs fgrep -l /usr/local |
	xargs -r perl -pi -e 's,/usr/local,%prefix,g'
find -type f |
	xargs fgrep -l /perl5 |
	xargs -r perl -pi -e 's,/perl5,/perl,g'

%build
%make_build
%make_build -C voice

pushd frontends/X11/viewfax-2.5
xmkmf
make depend
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS"
popd

%install
mkdir -p $RPM_BUILD_ROOT{/sbin,%_mandir/man1,%_spooldir/voice/{messages,incoming}}
%make_install install \
	prefix=$RPM_BUILD_ROOT%prefix \
	spool=$RPM_BUILD_ROOT%_spooldir \
	MAN1DIR=$RPM_BUILD_ROOT%_mandir/man1 \
	MAN4DIR=$RPM_BUILD_ROOT%_mandir/man4 \
	MAN5DIR=$RPM_BUILD_ROOT%_mandir/man5 \
	MAN8DIR=$RPM_BUILD_ROOT%_mandir/man8 \
	INFODIR=$RPM_BUILD_ROOT%_infodir \
	CONFDIR=$RPM_BUILD_ROOT%_sysconfdir/%name+sendfax
mv $RPM_BUILD_ROOT%_sbindir/%name $RPM_BUILD_ROOT/sbin
ln -s ../../sbin/%name $RPM_BUILD_ROOT%_sbindir

# Voice mail extensions
%make_install -C voice install \
	BINDIR=$RPM_BUILD_ROOT%_bindir \
	SBINDIR=$RPM_BUILD_ROOT/sbin \
	MAN1DIR=$RPM_BUILD_ROOT%_mandir/man1 \
	MAN4DIR=$RPM_BUILD_ROOT%_mandir/man4 \
	MAN5DIR=$RPM_BUILD_ROOT%_mandir/man5 \
	MAN8DIR=$RPM_BUILD_ROOT%_mandir/man8 \
	INFODIR=$RPM_BUILD_ROOT%_infodir \
	spool=$RPM_BUILD_ROOT%_spooldir \
	CONFDIR=$RPM_BUILD_ROOT%_sysconfdir/%name+sendfax

%make_install -C frontends/X11/viewfax-2.5 install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%_bindir \
	MANDIR=%_mandir/man1 \
	HELPDIR=%_libdir/%name+sendfax

install -p -m640 -D %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/%name
install -p -m700 callback/callback $RPM_BUILD_ROOT%_sbindir
install -p -m755 callback/ct $RPM_BUILD_ROOT%_bindir

# This conflicts with efax
mv $RPM_BUILD_ROOT%_mandir/man1/fax.1 $RPM_BUILD_ROOT%_mandir/man1/%{name}_fax.1

bzcat %SOURCE3 >$RPM_BUILD_ROOT%_sysconfdir/%name+sendfax/voice.conf
chmod 0600 $RPM_BUILD_ROOT%_sysconfdir/%name+sendfax/voice.conf

mkdir -p $RPM_BUILD_ROOT/var/log/%name

# Don't ship documentation that is executable.
find samples -type f |xargs chmod a-x

%post
%install_info %name.info

%postun
%uninstall_info %name.info

%files
/sbin/%name
%_sbindir/%name
%_mandir/man8/%name.8*
%_mandir/man8/callback.8*
%_mandir/man8/faxrunqd.8*
%_mandir/man4/*
%_infodir/*.info*
%dir %_sysconfdir/%name+sendfax
%config(noreplace) %_sysconfdir/%name+sendfax/login.config
%config(noreplace) %_sysconfdir/%name+sendfax/%name.config
%config(noreplace) %_sysconfdir/%name+sendfax/dialin.config
%config(noreplace) %_sysconfdir/logrotate.d/%name
/var/log/%name

%files sendfax
%_spooldir/fax
%_bindir/kvg
%_bindir/newslock
%_bindir/g3cat
#%_bindir/g3topbm
%_bindir/g32pbm
%_bindir/pbm2g3
%_bindir/faxspool
%_bindir/faxrunq
%_bindir/faxq
%_bindir/cutbl
%_bindir/faxrm
%_bindir/ct
%_sbindir/sendfax
%_sbindir/faxrunqd
%_sbindir/callback
%dir %_libdir/%name+sendfax
%_libdir/%name+sendfax/*.pbm
%_mandir/man1/g32pbm.*
%_mandir/man1/pbm2g3.*
%_mandir/man1/g3cat.*
%_mandir/man1/%{name}_fax.*
%_mandir/man1/faxspool.*
%_mandir/man1/faxrunq.*
%_mandir/man1/faxq.*
%_mandir/man1/faxrm.*
%_mandir/man1/coverpg.*
%_mandir/man5/faxqueue.*
%_mandir/man8/sendfax.*
%config(noreplace) %_sysconfdir/%name+sendfax/sendfax.config
%config(noreplace) %_sysconfdir/%name+sendfax/faxrunq.config
%config(noreplace) %_sysconfdir/%name+sendfax/faxheader
%config(noreplace) %_sysconfdir/%name+sendfax/faxspool.rules.sample

%files voice
%_spooldir/voice
/sbin/vgetty
%_bindir/vm
%_bindir/pvfamp
%_bindir/pvfcut
%_bindir/pvfecho
%_bindir/pvffile
%_bindir/pvffilter
%_bindir/pvfnoise
%_bindir/pvffft
%_bindir/pvfmix
%_bindir/pvfreverse
%_bindir/pvfsine
%_bindir/pvfspeed
%_bindir/pvftormd
%_bindir/rmdtopvf
%_bindir/rmdfile
%_bindir/pvftovoc
%_bindir/voctopvf
%_bindir/pvftolin
%_bindir/lintopvf
%_bindir/pvftobasic
%_bindir/basictopvf
%_bindir/pvftoau
%_bindir/autopvf
%_bindir/pvftowav
%_bindir/wavtopvf
%_mandir/man1/zplay.*
%_mandir/man1/pvf.*
%_mandir/man1/pvfamp.*
%_mandir/man1/pvfcut.*
%_mandir/man1/pvfecho.*
%_mandir/man1/pvffile.*
%_mandir/man1/pvffilter.*
%_mandir/man1/pvffft.*
%_mandir/man1/pvfmix.*
%_mandir/man1/pvfnoise.*
%_mandir/man1/pvfreverse.*
%_mandir/man1/pvfsine.*
%_mandir/man1/pvfspeed.*
%_mandir/man1/pvftormd.*
%_mandir/man1/rmdtopvf.*
%_mandir/man1/rmdfile.*
%_mandir/man1/pvftovoc.*
%_mandir/man1/voctopvf.*
%_mandir/man1/pvftolin.*
%_mandir/man1/lintopvf.*
%_mandir/man1/pvftobasic.*
%_mandir/man1/basictopvf.*
%_mandir/man1/pvftoau.*
%_mandir/man1/autopvf.*
%_mandir/man1/pvftowav.*
%_mandir/man1/wavtopvf.*
%config(noreplace) %_sysconfdir/%name+sendfax/voice.conf

%files viewfax
%_bindir/viewfax
%_mandir/man1/viewfax.*
%dir %_libdir/%name+sendfax
%_libdir/%name+sendfax/viewfax.tif
%doc frontends/X11/viewfax-2.5/{ChangeLog,README}

%files doc
%doc BUGS ChangeLog FTP THANKS TODO Recommend README.CID
%doc doc/{modems.db,*.ps,*.txt,fhng-codes}
%doc samples contrib

%changelog
* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.28-alt3
- Rebuilt in new environment

* Mon Jul 08 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.28-alt2
- Some path fixes
- Fixed log file creating and using

* Mon Mar 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.28-alt1
- 1.1.28

* Fri Dec 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.27-alt2
- Fixed conflict with netpbm (in filelist)

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.27-alt1
- 1.1.27
- Fixed filelist

* Tue Oct 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.26-alt2
- Added patches to use AON's in USR Courier's with some russian firmware
  from Sir Raorn
- Changes to new /var/lock/serial scheme
- Some spec cleanup

* Thu May 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.26-alt1
- Using new version mgetty 1.1.26
- Fixed log messages sending to syslog

* Wed Feb 28 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.1.25-ipl2mdk
- Added latest voice patch
- Fixed detecting USR Courier modems with russian firmware
- Added -DFIDO flag

* Sun Feb 04 2001 Dmitry V. Levin <ldv@fandra.org> 1.1.25-ipl1mdk
- 1.1.25
- Added faxprint patch.

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 1.1.24-ipl1mdk
- RE adaptions.
- Texinfo patch.
- Real FHSification.
- Improved logrotate support.
- Merged RH patched.

* Wed Jan 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.24-1mdk
- 1.1.24 (security fixes for tmpfile insecurities)

* Wed Jan 10 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.22-3mdk
- macros
- s/Copyright/License/

* Tue Sep 26 2000 Etienne Faure  <etienne@mandraksoft.com> 1.1.22-2mdk
- Added (noreplace) tag to conffiles

* Thu Aug 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.22-1mdk
- 1.1.22 fix security.

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 1.1.21-8mdk
- use the _mandir & _infodir macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.21-7mdk
- automatically added BuildRequires

* Thu Jul 19 2000 Etienne Faure <etienne@mandrakesoft.com> 1.1.21-6mdk
- rebuild on kenobi
- Changed permission of source files: 664 -> 644

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.21-5mdk
- group fix.

* Fri Nov 26 1999 Florent Villard <warly@mandrakesoft.com>
- Mandrake adaptation
- clean the install script

* Sun Aug 15 1999 Nick Urbanik <nicku@vtc.edu.hk>
- Signed it.

* Sat Aug 14 1999 Nick Urbanik <nicku@vtc.edu.hk>
- updated to 1.1.21
- Created the contrib package (marginally worthwhile)
- Added more documentation to mgetty
- Added more programs to sendfax and voice.

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- strip setuid bit from ct

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- better log handling

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Sat Aug 22 1998 Jos Vos <jos@xos.nl>
- Use a patch for creating policy.h using policy.h-dist.
- Add viewfax subpackage (X11 fax viewing program).
- Add logrotate config files for mgetty and sendfax log files.
- Properly define ECHO in Makefile for use with bash.
- Add optional use of dialin.config (for modems supporting this).
- Change default notification address to "root" (was "faxadmin").
- Change log file names according to better defaults.
- Change default notify program to /etc/mgetty+sendfax/new_fax (was
  /usr/local/bin/new_fax).

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- add faxrunqd man page (problem #850)
- add missing pbm2g3 (and man page); remove unnecessary "rm -f pbmtog3"
- delete redundant ( cd tools; make ... )

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.1.14
- AutoPPP patch

* Thu Dec 18 1997 Mike Wangsmo <wanger@redhat.com>
- added more of the documentation files to the rpm

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info support

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- now requires libgr-progs instead of netpbm

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
